<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Session History</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <style>
        .boxed {
            border: 1px solid #ddd;
            padding: 10px;
            margin: 50px 0;
            border-radius: 5px;
            height: 600px;
            overflow: auto;
        }

        .sticky-top {
            z-index: 999;
            background-color: cadetblue;
            top: 0;
        }

        .sticky-top th {
            color: #ffffff;
        }
    </style>
</head>
<body>
<div th:replace="~{fragments/header :: header}"></div>
<div class="container">
    <div class="row">
        <div class="col-md-6 offset-md-3">
        </div>
        <div class="col-md-6 offset-md-3">
            <div class="boxed">
                <h2 th:text="#{session.text1}">Session Information</h2>
                <p  th:text="#{session.text2}">Here is the session table to see your pages and timestamps.</p>
                <table class="table table-striped">
                    <thead class="sticky-top">
                    <tr>
                        <th  th:text="#{session.text3}">Page</th>
                        <th  th:text="#{session.text4}">Timestamp</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="entry : ${pageHistory}">
                        <td th:text="${entry.split('-')[0]}"></td>
                        <td th:text="${entry.split('-')[1] + '-' + entry.split('-')[2] + '-' + entry.split('-')[3]}"></td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<div th:replace="~{fragments/footer :: footer}"></div>
</body>
</html>
